from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XImportable(XInterface, Protocol):
    def createImportDescriptor(self, bEmpty: bool) -> list[PropertyValue]: ...
    def doImport(self, aDescriptor: PropertyValue>) -> None: ...
